# Auth Oidc Environment

this module allows to use server env for OIDC configuration

Table of contents

- Configuration
- Usage
- Bug Tracker
- Credits
  - Authors
  - Contributors
  - Maintainers

# Configuration

To configure this module, you need to:

Create a module server_environment_file with a cfg file or set the environment variable SERVER_ENV_CONFIG with the following section:

[auth_oauth_provider.<name>]

Where <name> is optional and must be equal to the name field you defined in Odoo for the IDP.

Example of configuration

[auth_oauth_provider.azure]

client_id=… client_secret=…

# Usage

Once configured, Odoo will read the Auth Providers values from the configuration.

# Bug Tracker

Bugs are tracked on GitHub Issues. In case of trouble, please check there if your issue has already been reported. If you spotted it first, help us to smash it by providing a detailed and welcomed feedback.

Do not contact contributors directly about support or help with technical issues.

# Credits

## Authors

- ACSONE SA/NV

## Contributors

- Adrien PEIFFER <adrien.peiffer@acsone.eu> (ACSONE SA/NV)

## Maintainers

This module is maintained by the OCA.

OCA, or the Odoo Community Association, is a nonprofit organization whose mission is to support the collaborative development of Odoo features and promote its widespread use.

This module is part of the OCA/server-auth project on GitHub.

You are welcome to contribute. To learn how please visit https://odoo-community.org/page/Contribute.